<?php
/**
 * Since WordPress force us to use the header.php name to open the document, we add a header-partial.php template for the actual header.
 *
 * @package SplendorStudio\Framework\Templates\Structure
 *
 * @since   1.0.0
 */
fancify_lite_open_markup_e(
	'fancify_lite_header',
	'header',
	array(
		'class'     => 'fancify-header fancify-header-nav-1 ' . esc_attr( fancify_lite_header_main_class() ),
		'itemscope' => 'itemscope',
		'itemtype'  => 'https://schema.org/WPHeader',
	)
);

// Main header Row
$fancify_lite_header_availability = get_theme_mod( 'header_availability', true );
$header_builder = get_theme_mod( 'enable_header_builder', false );
if ( !$header_builder && $fancify_lite_header_availability ) {

	// If top bar is actaviate in customizer will be show up
	fancify_lite_open_markup_e( 'fancify_lite_header_top_container', 'div', array('class' => 'fancify-header-top-container' ) );

	fancify_lite_close_markup_e( 'fancify_lite_header_top_container', 'div' );


	fancify_lite_open_markup_e( 
		'fancify_lite_header_main_container', 
		'div', 
		array( 'class' => 'fancify-header-main-container' ) 
	);
	fancify_lite_open_markup_e( 
		'fancify_lite_header_main', 
		'div', 
		array( 'class' => 'fancify-header-main' ) 
	);

	// barnd
	fancify_lite_open_markup_e(
		'fancify_lite_header_main_left', 
		'div', 
		array('class' => ' fancify-header-left fancify-header-main-brand')
	);

	fancify_lite_close_markup_e( 'fancify_lite_header_main_left', 'div' );

	// menu
	fancify_lite_open_markup_e(
		'fancify_lite_header_main_center', 
		'div', 
		array('class' => ' fancify-hidden-smaller-than-md fancify-header-center fancify-header-main-menu')
	);

	fancify_lite_close_markup_e('fancify_lite_header_main_center', 'div');

	// header SIGNIN/REGISTER BUTTONS
	fancify_lite_open_markup_e(
		'fancify_lite_header_main_right', 
		'div', 
		array( 'class' => ' fancify-header-right  fancify-header-main-button' )
	);

	fancify_lite_close_markup_e('fancify_lite_header_main_right', 'div');

	// Burger nav menu
	fancify_lite_open_markup_e(
		'fancify_lite_header_burger_menu', 
		'div', 
		array( 'class' => 'fancify-header-main-burgernav' )
	);

	fancify_lite_close_markup_e( 'fancify_lite_header_burger_menu', 'div' );

	fancify_lite_close_markup_e( 'fancify_lite_header_main', 'div' );

	fancify_lite_close_markup_e( 'fancify_lite_header_main_container', 'div' );

}

/**
 * Fires in the header.
 *
 * @since 1.0.0
 */
do_action( 'fancify_lite_header' );

fancify_lite_close_markup_e( 'fancify_lite_header', 'header' );
